Bug 112334 - FILESAVE: PPTX:Color Pulse Effect (Flicker) gets corrupted after roundtrip
Summary: FILESAVE: PPTX:Color Pulse Effect (Flicker) gets corrupted after roundtrip
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Luke
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted Custom-Animations
  Show dependency treegraph
 
Reported: 2017-09-11 16:11 UTC by Luke
Modified: 2017-10-14 22:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2017-09-11 16:11:17 UTC
Steps to Reproduce:
1. In Impress or PowerPower create a slide with an Color Pulse Effect (Flicker) such as attachment 129142 [details]
2. Save as PPTX
3. Open in PowerPoint

Expected Results:
Effect works as specified in 1.

Actual Results:
Powerpoint opens repair dialog / Effect missing in Impress
Comment 1 Luke 2017-09-11 16:13:14 UTC
It should be noted that Pulse Effect (Flash Bulb) without color is correctly exported / roundtripped. Here is an example: attachment 129141 [details]
Comment 2 Xisco Faulí 2017-09-11 22:15:55 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

it might be related to bug 112333
Comment 3 Luke 2017-09-21 19:20:49 UTC
With Bug 112333 fixed, the fill.type, fill.on, and animClr tags are now showing up in the exported pptx. However, it's still reported as corrupted by PowerPoint and Impress does not display the effect after a roundtrip. 

Xisco,
What's the Open XML SDK reporting now after Szymon's fixes?
Comment 4 Xisco Faulí 2017-09-21 20:45:14 UTC
After a roundtrip with:

Version: 6.0.0.0.alpha0+
Build ID: 86f256596c8566e80993e1cf6035bc3534b6f816
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

I get:

AttributeNameList... p:cTn[1]/p:childTnLst[1]/p:animClr[1]/p:Bhvr[1]/:attrNameLst[1] - The element has incomplete content...
Comment 5 Luke 2017-09-21 21:59:56 UTC
Yes, that's it. The <p:attrNameLst> was blank. By replacing:
<p:attrNameLst></p:attrNameLst>
with
<p:attrName>style.color</p:attrName>

I was about to get the roundtripped file to work.
Comment 6 Commit Notification 2017-09-22 08:53:13 UTC
lbenes committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bcf000b49252a2293d05135a1a3d62bca5a5dc8

tdf#112334 PPTX export style.color

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-09-22 09:44:38 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f10d5eb1435952052447fcb09dc1ece25202a48a

tdf#112334 unit test

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Luke 2017-10-11 21:13:47 UTC
Verified FIXED in Version: 6.0.0.0.alpha0+ (x64)
Build ID: d8d0914be7b5fee3e21ec088f518b09281ed34ee